GNU bug report logs - #24842
24.5; `help-make-xrefs': False link-type determinations

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; dated Mon, 31 Oct 2016 23:01:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 7 Sep 2021 20:13:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 16:13:18 2021
Received: from localhost ([127.0.0.1]:57901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNhSw-0002pB-K6
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 16:13:18 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:51840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>)
 id 1mNhSt-0002oy-US; Tue, 07 Sep 2021 16:13:09 -0400
Received: from pps.filterd (m0246630.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 187HpRfk002544; 
 Tue, 7 Sep 2021 20:13:07 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=f9YIBX53aJsPG+9KWQIHe9BAxHjsYih/otkmbb7ngCg=;
 b=0WdVnonBIL4nI1gspzjSEsHaKu6YWoTR/vsdIZXoyfPydFY7igzu8cfA7w9R8ye9iD1J
 WxIopvzOrMdC1GXER3LQ0zSoqhiT0qsk5adATK3/SkUqcPBD/B5A3mKPS7DTTOkbXjNm
 5YPy9BJXM01Gj6htabPYrOqtH+o4Lr3UASL+sebzfnqkNBkaIKbxwCYoagah/MBSRxhM
 0LfeCyQ1qcYruBslrWZeyqhZIkMKypAG8bf3ahSJ21TwCIXpOVNcWctp/oreLUjXmRv4
 ZRn3G2Esp6Orj2rt8ZWsbBa9/zSUsa+3zDYi5JukLKeIF89h2507RKnPIAYV4Byb2n2V Tw== 
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=f9YIBX53aJsPG+9KWQIHe9BAxHjsYih/otkmbb7ngCg=;
 b=MUXeQbsLqQ+Gnri/6rJ6PqwGjQZKgrSTe6A8y/qkyWStyXA4feWd6mTAjANKDnqigtOX
 Fjhj6/lPi2i3dBC+67Vtv6IQZHwXluYw0Fq3+waWzX9+wv2IJ/lKz0AM9X4wuqS3Hkw1
 /gxI4XxjALgg60vb9XXVW9/6x5kaFwQL35AScfkU+8yW6j/2sMhrVHilhGpieOyq2LI+
 uZaUWZszIeWVP52wjImjEWfor1GJ0esGbMXmY0iXutrxeVds/cQQLkISTqiS3GVs6hKj
 LRgYscBb/nlA6reN0x9jwToNDOw0h+mhBtIAYaHa+zpBIp+7i/04OiwbL/rjT3x+9+4z IA== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by mx0b-00069f02.pphosted.com with ESMTP id 3axcuq8bmb-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 07 Sep 2021 20:13:06 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 187K68cE021699;
 Tue, 7 Sep 2021 20:13:05 GMT
Received: from nam12-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam12lp2170.outbound.protection.outlook.com [104.47.59.170])
 by aserp3030.oracle.com with ESMTP id 3axcpmpdcc-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 07 Sep 2021 20:13:04 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=fI1GZaneC/0lg+yFXOrC3BMPlgC9W0j0hYeGnTKtE7XGHpPcMS8Oq6JHZtULoU/6GOXpVTDu0LAkJc5WisvSjDnj6kGaODXV/H4BLSg0b+BvmjyLSLKyyLAvn2TMNK9Fm9iXjVodsMY5eYTE0rvDR4SGbN4Lc4dvAFZhuOcJOCfDZkg3CCkY0dP89e8iI1RUKLUhjaFuVfE/NLup30ClNq04nEbX6Py5Q1YTbfkRcaeyku2kwgQWXT2Ax6++cBHkkm0D6YiUkD9iuYIHrGAcJvjHny/uVT6Ww8ouNoJ+Svs6fbY/gR3uAcT9EuJgLncE5i1uZxkh7woq6qrLp4QAnQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version; 
 bh=f9YIBX53aJsPG+9KWQIHe9BAxHjsYih/otkmbb7ngCg=;
 b=bCypTnb0pa5dtSKgzgHxyIO1MalVhDKI760tu0ELJLeB9Zqu9HlhzAbDoO1ncastyqV3YuuQn5Uv+McX//G1cUpRVfCSryo3ekqI3QJl68BDZ8Bznsi/bj7SesHces49IIBpbxiYHsJOARmJl1GEaMUZ1QDnGtg6xaMYJavj9kPiVxlQP7SJLl9osUCjR6p7+5wiSn+kVf7VqkcuFSzrGmSkAXrFy5G+JpoFPNMc78GHSjhoTo46deeg0ocJ51dvzcurjqzqV2tBNfPRw1cLyKazd4L9h490v8p3g2Ade4Fie5ju+2UdL4U5EKs6bAQPWXtCrWozhELg/V2HymJUGA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=f9YIBX53aJsPG+9KWQIHe9BAxHjsYih/otkmbb7ngCg=;
 b=T2JuoU7ENZbeehI+rezMlkDqbP529z1lGdz93M5duSJU6qF1egohWQHJIt4T31ooKG+o9S91XvLvAcLrKCIaZWDLFeNg32v8K46pxYAf4t7JVqCBl6XucA/TMmNCakFpi5St9otIogofFsVDqrwNHRZYQzgO1sRksw05Khr3FAw=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BY5PR10MB4386.namprd10.prod.outlook.com (2603:10b6:a03:20d::11)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4478.22; Tue, 7 Sep
 2021 20:13:03 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%8]) with mapi id 15.20.4478.026; Tue, 7 Sep 2021
 20:13:03 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : Re: bug#24842: bug#9445: 24.0.50; `help-make-xrefs'
 has bad logic
Thread-Topic: [External] : Re: bug#24842: bug#9445: 24.0.50; `help-make-xrefs'
 has bad logic
Thread-Index: AQHXpCDRONsyBgAKc0Skq4H4+v5e/quY+q2w
Date: Tue, 7 Sep 2021 20:13:02 +0000
Message-ID: <SJ0PR10MB5488CA6A4CDF89328E9E8C41F3D39@HIDDEN>
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <87pmtk9sgb.fsf@HIDDEN> <87wnnsgogn.fsf@HIDDEN>
In-Reply-To: <87wnnsgogn.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gmx.net; dkim=none (message not signed)
 header.d=none;gmx.net; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 6bca7bec-f231-4a7c-3d6e-08d9723be5a4
x-ms-traffictypediagnostic: BY5PR10MB4386:
x-microsoft-antispam-prvs: <BY5PR10MB438667B613261CBBA816D20DF3D39@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:6790;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: i/qIEj5F6F9XUR1NS7e0FamThhzk1TPdy+T8f0nOQPYZuGXrgFWrY/qgQ4oRxLU2qtQC7ZExeadN7S2cMUWR3jrakjl7c+wj74e7tRCgICOHF/v6hUbKyA24SeiFLN1HJQaTvg8+Ld41mnfJdUO3smfm6BSqdolINNodgOX9x62JudP6iMs61hWcSrit+37GWgU2eCRWq4GWJ059SAVHx9L2HAGgVUo/GTKQDNODquX89GFGy+HIEgByoUhu924VJWXP2KqLRZVWH8zc3mwGnSC6KGUjXJ1psoYK1c3CYBnZ05sfpp95UimRHjG8Ne8SG1EKYPhGKXvpb6wwIW57SD2NsVKUj52bKiMfpd2dhkogjc2FGGGn113G/S6RePBInuVq2119L9UFOpXw9IeqRWg6LDxkKzxFGeCuN1JC/W2EaWcHPYpBn/QPQ5CF6NY1ldFMAc6CeBn7+OIQJrupoUs1bkYgodpnJoz8yurAori3iEMQEX8QOrqAKGU5/Cfjde2HuHpXSaL3XzuVcIHtw4G5e1hGhv/EBkqQJlSxdJbXKZ8lw6CFL40r+AXOMrVwO3993rAWACBTQlyGP0NXZE/QzDGwkq5IcRXX5o1kdlZ8VJKkFTfIZ2qiiPMDqrKD2cxwsmUjwh4sb1mjQcZS3cLxlJ1hbzM2o1eMC0W1icuy4qP+xNkTlXf6ycN+ubyRzwfyd+60lSthCDQZ3i8HbqbiRh0jpz37VB6JCUDJA2B5tcgnjdnvvcfxm7Esduw7O70F2UUiSGcXCARFk56QR8ZDl0soGqfnni4YJbPiQOMqa0FdfTHeZ3gYDEcdCCU4
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(376002)(39860400002)(346002)(366004)(396003)(136003)(52536014)(76116006)(122000001)(4326008)(6506007)(316002)(7696005)(5660300002)(83380400001)(38070700005)(186003)(110136005)(54906003)(66446008)(64756008)(66556008)(66946007)(38100700002)(66476007)(44832011)(2906002)(55016002)(8676002)(9686003)(71200400001)(86362001)(8936002)(33656002)(966005)(26005)(478600001)(81973001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?DySGo9C7gyDqpvDy8lBX464vkzav2QV/8SE8eyxkXiw6XVlptaPd0fPTtOjM?=
 =?us-ascii?Q?eHb4CmmOWF62jTmQ1ikZ7gz0mYHH4cUpzOhte6wHK2gBnQkoMkslHXkwKqVF?=
 =?us-ascii?Q?BKb0fTLNzKolSOzDMcIzMDcjabzURn2qlMY0U+GA3w+uMjELxXfQfv+sufoP?=
 =?us-ascii?Q?xe/mJCRtHJJUbX+Blck6l24Dcl7p6upZ33v/KizpWvsNrvakLolIjX2RiMmt?=
 =?us-ascii?Q?fSl9Ff+jdB7pZbIxAUjpYnP23RJXMq9nhxxpkVCBX1PJV4Sj9WJN1UooqTji?=
 =?us-ascii?Q?MA73bVUEvJ6iF8Hn3LiSgZYoHzzTjLy4ee7DLvV2xwhmYfqMYqepeVeZ1/rP?=
 =?us-ascii?Q?VAYFeHjyNJ/o48+EjYyolKf2ExP6iLsCX6CSx/Yg1ZphvDbDpZPkpX8wWy7f?=
 =?us-ascii?Q?fmkhw4sKTRVrpXobDSiUjEykVwXLk4aFY+CBFVlKCXkMI0nCV2W2CiFU04xX?=
 =?us-ascii?Q?csRewwgKFK/bVzfu6wIcLMK0IVMPAqKo+kDGlIVGcvlhrpA/W3k0YC7ce60p?=
 =?us-ascii?Q?ALjSP63v5p5F+YBPq7C/a+sD4qJEuFK3jRZve4NP9kXJMgLhqPWGv7X31CPT?=
 =?us-ascii?Q?HZAW2VG1JQ1+X/UtYNjGPinUE3TkvZeK54Tky7aH2vDQZdKQaukPf6uOz8pv?=
 =?us-ascii?Q?TBFQDZC/qFnv9igZr1Vj/eWlhG2pQPGzJU/zKtGquOYN33CP6ijpPdybbLcI?=
 =?us-ascii?Q?qZsL1SMx0royfeYE7fkeB3l0Lk22RmFKvU47SuX9l7Sy07sUAIo+7w3pqNnh?=
 =?us-ascii?Q?+kWjnOCmbvaa2o8+P6vEvUdOb1V4PpLVEx9D5H/LLSgknYw3UiCnZk85ZZBV?=
 =?us-ascii?Q?7VF3upZkRkTOldyZmiJkC2uc+B71lj7NfFIUiM3MLp6GUn5/xkw1w9PQ4OIZ?=
 =?us-ascii?Q?rKWrL6NTql1HNjkbKXLUFvEP7wSCdmikTVBdYD2U5N4W37uor652FgzGBPBg?=
 =?us-ascii?Q?wNJMmT/MIlQp+DKfJYkw+yw70BlD+Qt+Zx3sgduQeEPP2REroYcwqI+eTtXq?=
 =?us-ascii?Q?eSAZAPSkkzug8mtfzM0prrxEjrJO1m5XJppqOuTTGt5TZDpC/tR/A1b4d28T?=
 =?us-ascii?Q?n0ohmR0EJuwegmWAjvnfYjia6f6KlmGUlTuCZhfIED17wiRdh59vFvbNaJ2u?=
 =?us-ascii?Q?uizEz/EKeu/cJJ3GVK3nTMwcX0IrfQSfb8pw3R5NPPdE7gI/HKhP+jOHvSvR?=
 =?us-ascii?Q?hvIfL4S9lkP9jodXFeonwodgTVhFIZZtPujBcNKyV9xI/Gw81mHy1aYqq77x?=
 =?us-ascii?Q?GQaaTcS1T6LiRY/LSydsLP+laDUtKw1LadP805pYnoezOw6EX6OEh+7hGfR2?=
 =?us-ascii?Q?jOTsQ0ZFaGKo+f/yVUb/B9iK?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 6bca7bec-f231-4a7c-3d6e-08d9723be5a4
X-MS-Exchange-CrossTenant-originalarrivaltime: 07 Sep 2021 20:13:03.0043 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 3dpFzI8p+tPMPvJu132dCt5SRJLKZQyB6r9pVB6fjuHGE2ML6TWc649NION1Ga4PiBM9YNabpYF2TGlLspA9sQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BY5PR10MB4386
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10100
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 mlxlogscore=999 bulkscore=0
 suspectscore=0 mlxscore=0 phishscore=0 malwarescore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2109030001
 definitions=main-2109070129
X-Proofpoint-ORIG-GUID: jOtqyb55jVFkwK8y9ZgJorN_qfAmy5a2
X-Proofpoint-GUID: jOtqyb55jVFkwK8y9ZgJorN_qfAmy5a2
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24842
Cc: "9445 <at> debbugs.gnu.org" <9445 <at> debbugs.gnu.org>,
 "24842 <at> debbugs.gnu.org" <24842 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> > (defun foo1 ())
> > (defvar foo2 ())
> >
> > (defvar foo nil
> >   "
> > `foo1' something.
> > `foo1'\t- units and their movement functions
> > `foo2' something.
> > `foo2'\t- units and their movement functions
> > ")
> >
> But the recipe Lars gave doesn't quite match the description Drew gave,
> IIUC: if in the recipe you change the first occurrence of `functions'
> to
> `function', then eval and do `C-h v foo', then the first occurrence of
> `foo2' in the doc string is not turned into a link.  Isn't that what
> the
> problem was, and still is?

Hm.  You're right, Stephen.  But not with just
that change, I think.  And it looks like the
problem is maybe for defun doc strings but not
for defvar doc strings?  (But see below.)

(defun foo1 ())
(defvar foo2 ())
(defvar foo nil
  "
`foo2' something.
`foo2'\t- units and their movement function
`foo1' something.
`foo1'\t- units and their movement function
")

(defun bar ()
  "
`foo2' something.
`foo2'\t- units and their movement function
`foo' something.
`foo'\t- units and their movement function
" 42)

`C-h v foo' shows links everywhere, for both
var foo2 and function foo1.

But `C-h f bar' does not show a link for the
first occurrence of `foo'.
___

What's odd, and the reason I thought this was
fixed, is that I checked  (using `emacs -Q')
the doc string in my code that I was reporting
about.  That doc string is for a function, not
a variable, but it (correctly) has links for
all of the variables mentioned in it.

The recipe for the original report is this:

1. Download library isearch+.el from here:

https://www.emacswiki.org/emacs/download/isearch%2b.el

2. Load that source code.

3. `C-h f isearch-forward'

4. This variable (user option) in the doc was
   not linked, but should have been:
   `isearchp-prompt-for-filter-name'.

But now that option has a link.  (With the above
recipe all have links except those with `[*]',
which the doc tells you are defined in another
library - so no links is correct without that
library loaded.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 7 Sep 2021 19:55:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 15:55:33 2021
Received: from localhost ([127.0.0.1]:57866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNhBt-0000DZ-9Q
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 15:55:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1mNhBq-0000DE-D9; Tue, 07 Sep 2021 15:55:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ap85yZTgks1OvWdzyKxwJ/4Mpfpbr42VvDmzyYxSP5Q=; b=Djec5sCKUgksoyBAZJ+NMHQvbN
 U736YoDs8sldHLSBIpfqZrbWY4U4pmgxt40aajIjqPp3sxRMEZuBX0DeBwIYPrVnqEKhX8WpOpA2r
 w2N1dGShYo0VAsHCAWHunAnrkQN703TF+1qqo+wyeI3qzPFJDgA/QisFLbAuK7BEXy7w=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNhBg-00016l-Rj; Tue, 07 Sep 2021 21:55:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#24842: bug#9445: 24.0.50; `help-make-xrefs' has bad logic
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <87pmtk9sgb.fsf@HIDDEN> <87wnnsgogn.fsf@HIDDEN>
Date: Tue, 07 Sep 2021 21:55:20 +0200
In-Reply-To: <87wnnsgogn.fsf@HIDDEN> (Stephen Berman's message of "Tue, 07 Sep
 2021 21:44:40 +0200")
Message-ID: <87bl5488k7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stephen Berman <stephen.berman@HIDDEN> writes: > But the
 recipe Lars gave doesn't quite match the description Drew gave, > IIUC: if
 in the recipe you change the first occurrence of `functions' to > `function', 
 then eval and do `C-h v foo', then th [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24842
Cc: 9445 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>,
 24842 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stephen Berman <stephen.berman@HIDDEN> writes:

> But the recipe Lars gave doesn't quite match the description Drew gave,
> IIUC: if in the recipe you change the first occurrence of `functions' to
> `function', then eval and do `C-h v foo', then the first occurrence of
> `foo2' in the doc string is not turned into a link.  Isn't that what the
> problem was, and still is?

Yup.  So here's the recipe to reproduce the problem:

(defun foo1 ())
(defvar foo2 ())

(defvar foo nil
  "
`foo1'\t- on-demand action function
`foo2'")

So I'm reopening the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 7 Sep 2021 19:44:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 15:44:55 2021
Received: from localhost ([127.0.0.1]:57854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNh1a-0008Mt-Sz
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 15:44:55 -0400
Received: from mout.gmx.net ([212.227.17.20]:39627)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>)
 id 1mNh1Y-0008MV-7V; Tue, 07 Sep 2021 15:44:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1631043881;
 bh=B8hVOhRbjUh/Np0mRoRPWl9qQl9kjgFBue+Z3TD/LGc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=dDSmNIbR1mG6QW16Pts2hdcpoUrjL2ECPwYgzsp964osubxhbw8XxHbkLegikEt5b
 btsxdAPs8eSt4LUvhZw6Gk8DLH3h3fSFQSSYhaxZwINioGLByUtJSJfXKLcwbmhfzk
 pZdM2sr3ePqkJvMQnhHnMiYwhvfM3g9nyy2kNgDs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobelfs ([188.109.165.244]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MbzuB-1mx2hi2ov9-00dYvJ; Tue, 07
 Sep 2021 21:44:41 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#24842: bug#9445: 24.0.50; `help-make-xrefs' has bad logic
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <87pmtk9sgb.fsf@HIDDEN>
Date: Tue, 07 Sep 2021 21:44:40 +0200
In-Reply-To: <87pmtk9sgb.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 07 Sep 2021 20:00:20 +0200")
Message-ID: <87wnnsgogn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:TH/CqQ0JUXVGDbMzSwA0L4xUgD8cKIdE6w1rF2DYbgXEvEIMe81
 +bt4sZDKP2cS+qshGgulrdBt4iWUrFg7Co99tClFnuEAtGLfM+6mEHQnTCe4FkvOQFXwce4
 jt/v6i6v7MizcHl2joXG0/CujztGTL7zKVu3HokAyfkh4tUoqFcHCIppA1N7GnCZxSdEy2M
 kFvi6fnCABFhFJ00Fv91A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:nLI15WWIKKk=:OKpU3dntmpeHub+alQDWRO
 vasOcRVay2UYfky33ssDfWXmn8XWj/+C7Oglr3HDzTmkG/K/1T58R6chf24erdQ1B+92O6mes
 izKmYOMGMS6hAwqEy0VxeRw7CR6wMlOTLYkWcfKESwsPssVTMTGu/uAdAuDppgxd8qifYtaG1
 Fp09dCKdJD8HowuaRw7fHAkCCL1cw0qTw5/xZH3wn17ItSub4UXmO0E+MwHwRGkBf3Zms5hUe
 mEAQX/6TSPWtSQvElafs2u3IVx/GDSe4NV1zOKzbFEeK4aMgBhw0R03Qlop17Dz99Up+GAFSB
 Ae8gfdoDvfmlfeGyCEUyx5YZEUL3HVZOaWFbhPt2+eJ/3d3EJFMHLQL+vOR1LfUbUCLb8XBfS
 PBgbHhcp4QnWSpZHzWfALVTPeOzGKNJXC/T6Ms3PU4kq1BfzjrwBGpehhMqO/Au9EbxrkFEFF
 e5yy7HKq+y0Ptsg4tmNpJmA0v54xoYPKW2WZ6MwYaViafg62yHHgSbPmC2KdQrHljKPX6jE7b
 JacNn5XWTlt/EzYOboijwLLsJL6YdHE0iMy04XduX6JiratOogt6jMYivrVlIRCyJGd+zzuAU
 kpWhGfxU246QYLGxbksDJ1QEbcV1NANPcRTbuSWbtZPzjXkz9gOLINRMwB9NU+3maeP5TTAU1
 VfdRSA5o09A8wd8FlnQfuFR2WCApYsc5HWNubn0eTpS/jhxo2YVngASCKr95Pg9QT2Zo3oR4X
 lQLzE86GRr6WqvzgtvTobAgMcPdSA00ZSF4W6OmNFD01oOZV6WQnx+1W3KZZHcXNISV00jDmu
 36X3E0SJoQUpJtS90+ezi/10lpcDF+co7ahfN759hM96F3+c3Di+qnrj++Sn/u7UKS2kxR5Ek
 K6adryqeMWbErHTX1fyllbhcniZ14PaOEOEVarew/eSpQrvuUWgskxfYhljgXX8cNiECSnYBW
 pQUo98E3sJK54TDdoLOb4udzti5SsHeCQlnFF4xB1EW2YkI/iOSSQH1/0eXi6D7UzVVCDj3Ww
 1yzhblEVoXHkGHG4dyAesdVAAMNLHaBwriInndpkfz7wu8hAwo/xVutxLFEF9qR16qlJ01Tyz
 egVmfFxRyVeOu8=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 24842
Cc: 9445 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>,
 24842 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, 07 Sep 2021 20:00:20 +0200 Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Drew Adams <drew.adams@HIDDEN> writes:
>
>> `help-make-xrefs' tries to guess the type of a symbol that is enclosed
>> in `...', in help.
>>
>> This determination needs to to be improved, or else programmers need
>> some way to inhibit it when it turns out to be inappropriate.
>>
>> Example: This is part of a doc string I have:
>>
>> `isearchp-movement-unit-alist'\t- units and their movement functions
>> `isearchp-on-demand-action-function'\t- on-demand action function
>> `isearchp-prompt-for-filter-name'\t- when to ask for filter name
>>
>> Those symbols are all variables (in fact, user options), not functions.
>> but the word "function" at the end of the second line causes the quoted
>> symbol that follows it to be considered as a function name.  And then,
>> because it is not `fboundp', it gets no link.  It should instead get a
>> variable-name link to its definition.
>
> There wasn't any recipe for reproduction here, so I came up with this:
>
> (defun foo1 ())
> (defvar foo2 ())
>
> (defvar foo nil
>   "
> `foo1' something.
> `foo1'\t- units and their movement functions
> `foo2' something.
> `foo2'\t- units and their movement functions
> ")
>
> When evaling this and then `C-h v foo RET' in Emacs 28, all these are
> recognised as symbols in the *Help* buffer, so this seems to work for me
> in this test case, at least.
>
> Are you still seeing this issue in recent Emacs versions?

On Tue, 07 Sep 2021 21:28:22 +0200 Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Drew Adams <drew.adams@HIDDEN> writes:
>
>>> Are you still seeing this issue in recent Emacs versions?
>>
>> Thanks for testing.  This was apparently fixed in release 24.
>> The bug was filed in a snapshot between 23 and 24.  (The bug
>> still exists in 23.)
>>
>> So this can be closed.  Thx.
>
> Thanks; closing this, then.

But the recipe Lars gave doesn't quite match the description Drew gave,
IIUC: if in the recipe you change the first occurrence of `functions' to
`function', then eval and do `C-h v foo', then the first occurrence of
`foo2' in the doc string is not turned into a link.  Isn't that what the
problem was, and still is?

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.
bug closed, send any further explanations to 24842 <at> debbugs.gnu.org and Drew Adams <drew.adams@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 7 Sep 2021 19:28:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 15:28:33 2021
Received: from localhost ([127.0.0.1]:57833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNgll-0005ll-DH
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 15:28:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1mNglj-0005lR-H4; Tue, 07 Sep 2021 15:28:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=sidTjzOmVcEYvCN0KfTCXjHIBQSdUhrDPLJOtKkTEFg=; b=tNY2xCdJYls2FnG/Wt1uWNR/RY
 4K0Os4TPc6g3bK+din5KQxJqmwppupg98lxvHdNBnouIrEbGMXlGHas8KE2zaaUVhk0V6TVGHV3Fh
 yn/H0Gazsl2AnsmpWPe2ivG2w3E6mX9iZCz93Tyd1lBxtq00ifWV5w4Q3dQo82jxPtDc=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNglb-0000ub-40; Tue, 07 Sep 2021 21:28:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : Re: bug#9445: 24.0.50; `help-make-xrefs' has bad
 logic
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <87pmtk9sgb.fsf@HIDDEN>
 <SJ0PR10MB54883FEDCE9187B9D95EA5DAF3D39@HIDDEN>
Date: Tue, 07 Sep 2021 21:28:22 +0200
In-Reply-To: <SJ0PR10MB54883FEDCE9187B9D95EA5DAF3D39@HIDDEN>
 (Drew Adams's message of "Tue, 7 Sep 2021 19:24:24 +0000")
Message-ID: <87h7ew89t5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Drew Adams <drew.adams@HIDDEN> writes: >> Are you still
 seeing this issue in recent Emacs versions? > > Thanks for testing. This
 was apparently fixed in release 24. > The bug was filed in a snapshot between
 23 and 24. (The bug > still exis [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24842
Cc: "9445 <at> debbugs.gnu.org" <9445 <at> debbugs.gnu.org>,
 "24842 <at> debbugs.gnu.org" <24842 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Drew Adams <drew.adams@HIDDEN> writes:

>> Are you still seeing this issue in recent Emacs versions?
>
> Thanks for testing.  This was apparently fixed in release 24.
> The bug was filed in a snapshot between 23 and 24.  (The bug
> still exists in 23.)
>
> So this can be closed.  Thx.

Thanks; closing this, then.

> (I can't speak to the merges with other bugs, however.
> Maybe they should not all be closed.)

Yeah, they aren't about the same thing as this one, so I've now
de-merged them.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.
Disconnected #12106 from all other report(s). Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #9445 from all other report(s). Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 7 Sep 2021 19:24:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 15:24:34 2021
Received: from localhost ([127.0.0.1]:57804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNghu-0005dv-1x
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 15:24:34 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:19054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>)
 id 1mNghs-0005dk-7G; Tue, 07 Sep 2021 15:24:33 -0400
Received: from pps.filterd (m0246629.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 187Hjisq022675; 
 Tue, 7 Sep 2021 19:24:28 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=X9q04Ex9VLcQXQks6/AVygxhZ3C7h3YlA5C4vHeGAsg=;
 b=jUdD8DH/HL6wQ9Y0mkFcjxOXwJXSLyy2K561LApj8H7ZAuIW0VlgKEosL7U75hn/iS5o
 se2CKefwmzuJlbIMTAIiztzugrSItsyvosOiw2XlqAyN9mCDbROYdJxUNCxCvdaGBG4u
 FMlM1KfjU/jeE6o9VZ7YVwVUSAEXl5Rl+kVS8KbUFxd5anm3SE/VvYB09mm3rUnJ2jbV
 kNAVHDOlombAXBAlDnywZiG/PiZrkY8eGrJB8ZrwsfYhIQX/IPXwG3Wjx6yZMqU7z1LH
 NqiwXG+19XYXRwF7Bl5QqgB/gSDqqHcmWugwQicJSO00l6tAYe/+QpGfK79iobfBR6+b nw== 
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=X9q04Ex9VLcQXQks6/AVygxhZ3C7h3YlA5C4vHeGAsg=;
 b=a9Fve2lNnMIEni+YJW9AOcqh/aVVbxSp1qO2knwJVMWixMoPBOcR3c/zOeffzBQU4dnO
 JPJdWkxOKiPzJeYouWRCSz/S5KZrx31IYPQWwDRQuIu1Lh6y7oNN2IQcquYCqrEUxKwW
 EEy1GTEIQem9MHUeYnQtkdlN0wUzaxXgDGmIiTY8cZoCDx/nIb5cK+bhRkZvTnKvnKPS
 XSgrd0vKMjP35+1f5N+ZMfCNobwnmBvuUfY1kioYHA4kvhlyyEqTJfNTeb60TcgKL8HM
 RwvqxuJT75D/rvuMInoJpJ/TVMnHIQVLk3iT+msQdsPtleZI9WqAkmzSrzXhAqAU6Gpw rQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by mx0b-00069f02.pphosted.com with ESMTP id 3axcs188b8-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 07 Sep 2021 19:24:28 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 187JGBP9157567;
 Tue, 7 Sep 2021 19:24:26 GMT
Received: from nam11-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam11lp2173.outbound.protection.outlook.com [104.47.58.173])
 by userp3020.oracle.com with ESMTP id 3axcppcr5f-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 07 Sep 2021 19:24:26 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=k+qcLouMqZF1XapTiuK5gXbDdAFjAdoeySRi8UFyI6DVBCJ8JoaRnWYUWPuNXZ4REEevk26IlQkRS+a5bPAGie5kLIDGsdc9Uk7+x6BMMufm+JfM514oa9/OJJMmPefbrwbTlXkvi3iX2zH6odf15IlU5ekTCc/dr0NP/D8tb2mM2hjch5Aw4fAgSGYHbopUe5Jb4DoUT83KlOoDmndTPcd6f20zzVrFdDmA7Ld5is8ibfy+OZ0PqqWRa13Cte0QYq6SVzfJ6VhRFtuI3NJc7rIXRhpQutNP0yTnnzprf5J6okA2ANGcXdzqEaUQi0vi1LeImVjgCsRs5boh5u8x8Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version; 
 bh=X9q04Ex9VLcQXQks6/AVygxhZ3C7h3YlA5C4vHeGAsg=;
 b=BmNqq8GhSN1CY8Xm+theWXV9mRTmzMcsJKFnXUD/gkVeRUb3bA5MtJ/B7jCSoolb0FstUc1hy2L/fILdneAb/cco+zsP7M7sd9gfs26QHtSjlVSRP6x7rof9Xoll0imDTA0JXBFTX8Z8IqosWDM6wS/KioAbQ5dKM46TdPR7bM7UnTDSiDUUBxbolp/AeoziA67TfI05TMoeyVsvqG04ri+teWidwjq/1nK3ck06rRBr4NWzMMaaO7Sec7Eb3M5eNg6yx5NgWC0X+EwLt4SxS1O8h2J/2jhtMY/+uqCU/jdMlxUg37JMiuzFTNsfBNyaGlUuIFtxbDhqagPzuwbWCQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=X9q04Ex9VLcQXQks6/AVygxhZ3C7h3YlA5C4vHeGAsg=;
 b=FJfgcJ0ThwBhAuxM0B4zux/Fc+x+W088OkimNxQu317UOt/34QPdtWlFryUaTm1vIyPDrnVAvCeORmvFUVngBVjJj3aMqiutHgt+nnRUvvnNmnIYR1VhoNyP6ZzWUvuQLcYClG38g6reD4WPIRV1YBPHNUKvthpX7kxJyXFw7/c=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by SJ0PR10MB4637.namprd10.prod.outlook.com (2603:10b6:a03:2d6::14)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4478.19; Tue, 7 Sep
 2021 19:24:24 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%8]) with mapi id 15.20.4478.026; Tue, 7 Sep 2021
 19:24:24 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : Re: bug#9445: 24.0.50; `help-make-xrefs' has bad
 logic
Thread-Topic: [External] : Re: bug#9445: 24.0.50; `help-make-xrefs' has bad
 logic
Thread-Index: AQHXpBJAolIoqTjfg0W90m5d/ld3B6uY8cEg
Date: Tue, 7 Sep 2021 19:24:24 +0000
Message-ID: <SJ0PR10MB54883FEDCE9187B9D95EA5DAF3D39@HIDDEN>
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <87pmtk9sgb.fsf@HIDDEN>
In-Reply-To: <87pmtk9sgb.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 9d53de2c-6fce-4e8a-1784-08d972351a17
x-ms-traffictypediagnostic: SJ0PR10MB4637:
x-microsoft-antispam-prvs: <SJ0PR10MB46375F1ECEFCAEB9E594C040F3D39@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:5797;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: SwhPUFn3b24q+U3wCY2mY4d67KsXemifTbvqRQzFFmM4+AypY9+SkEk9okKQtCwrzuA9rpJ4q1bzFuFTN7/2ZgTkNw/iUltdMlhU19rHj2sh6oSpGg7UsnUUYiQMi5apLYnkNT09GjQMn2fD0mnyhFRmboDz4ZhSsLh7ZCt0BDx1x0QWbKxIf/oeO25eY2Xoy1K72vs4lgd8994YNB16XS0Nk23EMaAY6SzXfv3KqADnTgTlMrsQ7e2zIuwfsFQBDcwz4UbwDKgPprB46XiHVfiJgLJCGcUDJ1dQnZaC9DZ2BH/SBLbaD7Nj3jB9gZU413sQNX7XkOB/VZwQ1xeALK6dLb9M+1a8BvBOYUdDkGXpDbL1dd1cyns3qY/rZlAekEl7I4KpRLgGYln/lhvqgC5wd4CnQq2J4zNMc8oCB+pnPx9wVR484uW0wwpss3YHIJyh9t7Yexpj5kyaUj56r5WVs1ECOM2Gpnp7AplB788jLoWKY9OHfM7dYmqLIrzyBTxjFv2SLr/fW+oDeaZlJ+7gwqjzZBj0rekWv0+IoMTcrH+ifx7k+E1gWtL4AfDUpcUxDOnNys2dOTPtUoHrJDGqO+dE804Vr0sbyIN3gqY7LCaVZRBfvbkU/Z1BUYHNr7CxocAHvpSxxp05ludy9ovoaqhJcpZTmUu1ZBnxUnyzt2Qus03/FSZivS8W1owA5lLCDC7oFaN54UWJei6aEAQr0XoSoTQqAEqJXT4yQiI=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(346002)(39860400002)(376002)(136003)(396003)(366004)(44832011)(316002)(52536014)(478600001)(26005)(4326008)(38070700005)(6916009)(7696005)(83380400001)(2906002)(66946007)(71200400001)(5660300002)(6506007)(186003)(8676002)(8936002)(33656002)(66476007)(66556008)(64756008)(4744005)(122000001)(66446008)(9686003)(86362001)(38100700002)(55016002)(54906003)(76116006)(81973001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?KKljVIoMqOs50RcY1JH07wLhHy48oRQcUsmlvixyO63fhhMv6WsCtp1ArKex?=
 =?us-ascii?Q?HCFawNTXN5hUwT+9rO8YJTt6XzjewlJUM6yTC30RLZZRy4vImpCqGpCtd9Hi?=
 =?us-ascii?Q?WgaeKWYVTs7u/vxAo2dznV0sysPB6GsLQaXfcHNnqap+IYOuS5oQ6xyptZS5?=
 =?us-ascii?Q?IbMWng4HObQFeKX3MsS8XsnGherrhnTZOUZf0BYzpGRLSh7p3LTsB5CAPJLo?=
 =?us-ascii?Q?w/tlCnCNhq4w5K9x1BPNw17GXu31Ce7P2cbVc/r7rnywmBC6uZZaO2cgaozF?=
 =?us-ascii?Q?/OYwSeUOUfC099C/HCBfNWayHxwVvIEYn9FE7rx3t4w2DwGpAoJXPYvUHFqk?=
 =?us-ascii?Q?yFp+jDD7pbSVvXnAdw/UOZo3MT4hf3secSMIfKsUK6Ca4Gc5poYen+GHyjmi?=
 =?us-ascii?Q?RDyPHCuspGxHuj8THsEc6BOZGoiHM78F2M0WZqz6KPYFcn0foDAvyxUjdLt7?=
 =?us-ascii?Q?jfXJE86/96Op2wKu49E2NJ7PMNy7mCw6qSdkdPUUEi8QLOhTHxpkJE+hfl01?=
 =?us-ascii?Q?sZH+1eUdZL6koa2HOVx4rleIPvUgL1135OvhdGPKfHzohLtROX1GFxzdsxz8?=
 =?us-ascii?Q?1GlrjKB+VvoOfdbKkZu4sSQk2WZSIjvduh64wS5Oc9CnewbyzbGhfpU7GPJG?=
 =?us-ascii?Q?S4G0pbrCUeom7opTl3F7ex+eC7tlZhkb5G/ggZ+bhgZI6edQ2xiAq25QXkI1?=
 =?us-ascii?Q?J6iXX0kwSPuYLqrN0GOGuIYANQVooulP7g8VDCsiNacW/+g78VhLXOF5HtsK?=
 =?us-ascii?Q?iVVQF5yNGGg71K3WpcQW2ZqBSQi3phl5+Wofl/ZFl0CkTFjYbAQ75nmKKiKm?=
 =?us-ascii?Q?ygXXhJrGfXEfmU5zglynGjo0Q0f1ZEeVPfZgCB5vR0N/ftYeiU4Wq9Io4slZ?=
 =?us-ascii?Q?8UT304PUijCs7ZWtGaUZPBxCjWmegHVA1bVD2V6kMej4suVfGu58VFzQNN4M?=
 =?us-ascii?Q?lN7hDQk0aG9y4jFwDp4zDV6iJp9ieu5N7XexDsEjf0qNzOL34dAl68FrqYkg?=
 =?us-ascii?Q?zX3R7kskAHBbz+454TRH4SFe74DZ2Y0FzDVyEHuibzV8V9FBZKkyEHljKYJ+?=
 =?us-ascii?Q?amzk0ujAB4rnkM6q9+npcLJw8t5tXjckSW8pbRJEeove6FbZ6eBSQSunJ2aB?=
 =?us-ascii?Q?6ohW2Xme8D1YFsMBanSJC+xoK9/BDG911kNGSo5QUEldT1tibGLA77ikYN1/?=
 =?us-ascii?Q?CS1ArcApqNtSY5ZHinp0KyJhIW8qe/HIZ5HeuRDcdSB8v0osmmDcWEb/H7GR?=
 =?us-ascii?Q?tajEZqknZES1U+TBS26yJjiopITVL2613o+rQ2Xk4NhZTYDG0veHY/v/6M75?=
 =?us-ascii?Q?m0ur1/pSmUS7k7ciszJrFXZY?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 9d53de2c-6fce-4e8a-1784-08d972351a17
X-MS-Exchange-CrossTenant-originalarrivaltime: 07 Sep 2021 19:24:24.4835 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: a73GH910vZ4Gk5+uSnnqsLC3QFXKejO52tasw0YMVu4AyNv2uR94+/OPuh+ComxQK2iaiZfP+qOxtQcdc00TWQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SJ0PR10MB4637
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10100
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 bulkscore=0 malwarescore=0
 mlxscore=0 adultscore=0 phishscore=0 mlxlogscore=786 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2109030001
 definitions=main-2109070124
X-Proofpoint-ORIG-GUID: uuBySCtWHnJgSmXTtrnWDE36U0MA-41u
X-Proofpoint-GUID: uuBySCtWHnJgSmXTtrnWDE36U0MA-41u
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24842
Cc: "9445 <at> debbugs.gnu.org" <9445 <at> debbugs.gnu.org>,
 "24842 <at> debbugs.gnu.org" <24842 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Are you still seeing this issue in recent Emacs versions?

Thanks for testing.  This was apparently fixed in release 24.
The bug was filed in a snapshot between 23 and 24.  (The bug
still exists in 23.)

So this can be closed.  Thx.

(I can't speak to the merges with other bugs, however.
Maybe they should not all be closed.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 7 Sep 2021 18:00:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 14:00:41 2021
Received: from localhost ([127.0.0.1]:57647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNfOi-00062x-RN
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 14:00:41 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1mNfOY-0005lZ-27; Tue, 07 Sep 2021 14:00:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=t+EUi6I4dkCZtt2e7RU0KLywuE0GG3Udu9FU9GzFFHM=; b=CpFfH0mx+AiPrh9wDaFSI4Dw3v
 6LtvPFgscsHeawjqYlenzz9IFTMv0w0qJPOwl5DtnD9kY53ITaQUFWE+iu6ja3SEEjmKfRneRxNUb
 Lv7nJJ5AxYq7TkgeQSlnuuTqD0P3ifESrO6Tr1kuwCzB007AKh1CTfCawEZbjwpYwSwE=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNfOO-0000A4-NF; Tue, 07 Sep 2021 20:00:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#9445: 24.0.50; `help-make-xrefs' has bad logic
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
Date: Tue, 07 Sep 2021 20:00:20 +0200
In-Reply-To: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default> (Drew Adams's
 message of "Mon, 31 Oct 2016 16:00:14 -0700 (PDT)")
Message-ID: <87pmtk9sgb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Drew Adams <drew.adams@HIDDEN> writes: >
 `help-make-xrefs'
 tries to guess the type of a symbol that is enclosed > in `...', in help.
 > > This determination needs to to be improved, or else programmers need
 > some way to inhibit it when it [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24842
Cc: 9445 <at> debbugs.gnu.org, 24842 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Drew Adams <drew.adams@HIDDEN> writes:

> `help-make-xrefs' tries to guess the type of a symbol that is enclosed
> in `...', in help.
>
> This determination needs to to be improved, or else programmers need
> some way to inhibit it when it turns out to be inappropriate.
>
> Example: This is part of a doc string I have:
>
> `isearchp-movement-unit-alist'\t- units and their movement functions
> `isearchp-on-demand-action-function'\t- on-demand action function
> `isearchp-prompt-for-filter-name'\t- when to ask for filter name
>
> Those symbols are all variables (in fact, user options), not functions.
> but the word "function" at the end of the second line causes the quoted
> symbol that follows it to be considered as a function name.  And then,
> because it is not `fboundp', it gets no link.  It should instead get a
> variable-name link to its definition.

There wasn't any recipe for reproduction here, so I came up with this:

(defun foo1 ())
(defvar foo2 ())

(defvar foo nil
  "
`foo1' something.
`foo1'\t- units and their movement functions
`foo2' something.
`foo2'\t- units and their movement functions
")

When evaling this and then `C-h v foo RET' in Emacs 28, all these are
recognised as symbols in the *Help* buffer, so this seems to work for me
in this test case, at least.

Are you still seeing this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 1 Jan 2018 21:26:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 01 16:26:09 2018
Received: from localhost ([127.0.0.1]:60243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eW7az-0004h9-1J
	for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 16:26:09 -0500
Received: from aserp2120.oracle.com ([141.146.126.78]:35582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1eW7ax-0004gj-2Y
 for 24842 <at> debbugs.gnu.org; Mon, 01 Jan 2018 16:26:07 -0500
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.21/8.16.0.21) with SMTP id w01LNA9T138920
 for <24842 <at> debbugs.gnu.org>; Mon, 1 Jan 2018 21:26:01 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2017-10-26;
 bh=t7CADXEow9AdBqYZC85W1QJgEL3Yp5gc94F9pRVz14E=;
 b=kQjV/887GxgC56CJ8osQRalqk2JTO/38NmFkJ+t1vX7rf7gA0adzQqLWwu4qhat582bp
 hrMGCApsywukMKrLOXM8l12/zOaX9PHCeWwQkIR5xR3199kLwE5m14wB05F7bAwRnhxv
 /H27BomX7edV3mzYgfhPVaxBgqNfESw7ZpzYqWtXmfr8Jmg7luvQDxlog3aMzYhXvW8a
 hUEvC7LPlOGPJppXFgJw7qQUOGDkx1e3qYkeMlYdKjpViSmM/QamCkIu4nAzD8Tc6A0z
 kVI/Mp2q1YyYOvdX40A4mWO5f182E4NVkoOrEIW2scqtCR5P/76sHiWcAK0Lp3aJg5Ge Cw== 
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp2120.oracle.com with ESMTP id 2f7vr9g06m-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <24842 <at> debbugs.gnu.org>; Mon, 01 Jan 2018 21:26:01 +0000
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserv0021.oracle.com (8.14.4/8.14.4) with ESMTP id w01LKxV0026011
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL)
 for <24842 <at> debbugs.gnu.org>; Mon, 1 Jan 2018 21:21:00 GMT
Received: from abhmp0018.oracle.com (abhmp0018.oracle.com [141.146.116.24])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id w01LKxOd011532
 for <24842 <at> debbugs.gnu.org>; Mon, 1 Jan 2018 21:20:59 GMT
MIME-Version: 1.0
Message-ID: <d935c84e-4ff7-4b30-895c-5c8e2885066b@default>
Date: Mon, 1 Jan 2018 13:20:49 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: 24842 <at> debbugs.gnu.org
Subject: RE: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <d3032a33-5935-4548-a863-10bebf312961@default>
In-Reply-To: <d3032a33-5935-4548-a863-10bebf312961@default>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4627.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=8761
 signatures=668650
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=13
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=521
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1711220000 definitions=main-1801010315
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 24842
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> I've been using this for a while, and it seems to be an improvement.
> I have not noticed any bad cases.  Can you please consider making
> this change?  I think the logic is better.  Or can you point to a
> case where it is not an improvement?
>=20
> Thx.

ping




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 5 Feb 2017 19:27:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 05 14:27:21 2017
Received: from localhost ([127.0.0.1]:56913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1caST3-0001ST-5S
	for submit <at> debbugs.gnu.org; Sun, 05 Feb 2017 14:27:21 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:38327)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1caST2-0001SG-1C
 for 24842 <at> debbugs.gnu.org; Sun, 05 Feb 2017 14:27:20 -0500
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 v15JRDub028191
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <24842 <at> debbugs.gnu.org>; Sun, 5 Feb 2017 19:27:13 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userv0021.oracle.com (8.14.4/8.14.4) with ESMTP id v15JRD8l017574
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <24842 <at> debbugs.gnu.org>; Sun, 5 Feb 2017 19:27:13 GMT
Received: from abhmp0004.oracle.com (abhmp0004.oracle.com [141.146.116.10])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id v15JRB0C006232
 for <24842 <at> debbugs.gnu.org>; Sun, 5 Feb 2017 19:27:12 GMT
MIME-Version: 1.0
Message-ID: <d3032a33-5935-4548-a863-10bebf312961@default>
Date: Sun, 5 Feb 2017 11:27:10 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: 24842 <at> debbugs.gnu.org
Subject: RE: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
In-Reply-To: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 24842
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

> 1. One possible approach is to improve the behavior.  I have not tested
>    this generally, but changing the `cond' clauses to include the test
>    for type and for documentation as part of the `cond' test, instead of
>    being part of the result clause after the test, fixes at least the
>    immediate problem of the above example.
>=20
>    For example, instead of:
>=20
>    ((match-string 4)   ; `function' &c
>     (and (fboundp sym) ; similarly
>          (help-xref-button 8 'help-function sym)))
>=20
>    use this:
>=20
>    ((and (match-string 4) ; `function' &c
>          (fboundp sym))   ; similarly
>     (help-xref-button 8 'help-function sym))
>=20
>    Similarly for the other clauses.
>=20
>    Possibly this does not DTRT generally, since it lets subsequent
>    `cond' clauses get tested if the code cannot determine that the
>    symbol is a variable, function, etc.
>=20
>    But that's the point of those clauses.  If they cannot find that some
>    symbol is a variable, etc., then shouldn't the subsequent clauses be
>    tried?  (The tests might need to be improved.  Dunno.)
>=20
>    Again, I have not tested this, so I don't propose an exact code fix.
>    I'm reporting the bug.

I've been using this for a while, and it seems to be an improvement.
I have not noticed any bad cases.  Can you please consider making
this change?  I think the logic is better.  Or can you point to a
case where it is not an improvement?

Thx.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 1 Nov 2016 16:50:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 12:50:11 2016
Received: from localhost ([127.0.0.1]:39231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1cGJ-00060c-AI
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:50:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c1cGI-00060O-IT
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:50:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c1cGA-0005HP-CN
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:50:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.5 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41242)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c1cGA-0005HE-98; Tue, 01 Nov 2016 12:50:02 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4187
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c1cG9-0001Gf-Fu; Tue, 01 Nov 2016 12:50:01 -0400
Date: Tue, 01 Nov 2016 18:50:17 +0200
Message-Id: <83k2cnnnzq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <9c2643d7-4279-45c8-acf6-f07572be8f71@default> (message from Drew
 Adams on Tue, 1 Nov 2016 09:29:08 -0700 (PDT))
Subject: Re: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
References: <<919e40a4-f6c4-492d-b50f-b0671e13cb60@default>>
 <<878tt4qdjq.fsf@HIDDEN>>
 <<bd840000-09af-4b41-82bc-042688a66bc4@default>> <<83wpgnns4x.fsf@HIDDEN>>
 <<CAM-tV-_+-Ewzh_vMpi65cc5ukD+T+WHNPGk0dooqQCaJAvmTaQ@HIDDEN>>
 <<83r36vnpjw.fsf@HIDDEN>> <9c2643d7-4279-45c8-acf6-f07572be8f71@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.5 (-------)
X-Debbugs-Envelope-To: 24842
Cc: 24842 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.5 (-------)

> Date: Tue, 1 Nov 2016 09:29:08 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: 24842 <at> debbugs.gnu.org
> 
> > unmerge 12016
> > severity 12016 normal
> > severity 12106 minor
> > merge 12106 9445
> > thanks
> > 
> > > > Duplicate of 12016 and 9445.
> > >
> > > I don't think #12016 (ff-find-other-file is not considering
> > > cc-other-file-alist for .cxx files) is related, typo?
> > 
> > Oops.  It's 12106, now fixed.
> 
> 12106 is not really a duplicate either, IMO.  It's about preventing
> a link that would be inappropriate.  24842 is about ensuring a link -
> preventing a non-link that would be inappropriate.

The underlying issue is the same.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 1 Nov 2016 16:29:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 12:29:20 2016
Received: from localhost ([127.0.0.1]:39179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1bw8-0003q4-1d
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:29:20 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:45645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1c1bw6-0003pq-L8
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:29:18 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 uA1GTCbv004273
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 1 Nov 2016 16:29:12 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id uA1GTCCk009534
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 1 Nov 2016 16:29:12 GMT
Received: from abhmp0018.oracle.com (abhmp0018.oracle.com [141.146.116.24])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id uA1GTAXd011397;
 Tue, 1 Nov 2016 16:29:11 GMT
MIME-Version: 1.0
Message-ID: <9c2643d7-4279-45c8-acf6-f07572be8f71@default>
Date: Tue, 1 Nov 2016 09:29:08 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Noam Postavsky
 <npostavs@HIDDEN>
Subject: RE: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
References: <<919e40a4-f6c4-492d-b50f-b0671e13cb60@default>>
 <<878tt4qdjq.fsf@HIDDEN>>
 <<bd840000-09af-4b41-82bc-042688a66bc4@default>> <<83wpgnns4x.fsf@HIDDEN>>
 <<CAM-tV-_+-Ewzh_vMpi65cc5ukD+T+WHNPGk0dooqQCaJAvmTaQ@HIDDEN>>
 <<83r36vnpjw.fsf@HIDDEN>>
In-Reply-To: <<83r36vnpjw.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 24842
Cc: 24842 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

> unmerge 12016
> severity 12016 normal
> severity 12106 minor
> merge 12106 9445
> thanks
>=20
> > > Duplicate of 12016 and 9445.
> >
> > I don't think #12016 (ff-find-other-file is not considering
> > cc-other-file-alist for .cxx files) is related, typo?
>=20
> Oops.  It's 12106, now fixed.

12106 is not really a duplicate either, IMO.  It's about preventing
a link that would be inappropriate.  24842 is about ensuring a link -
preventing a non-link that would be inappropriate.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 1 Nov 2016 16:25:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 12:25:20 2016
Received: from localhost ([127.0.0.1]:39175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1bsG-0003kS-GO
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:25:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c1bsE-0003kC-Mc
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:25:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c1bs4-0005Ms-2A
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:25:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.7 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40855)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c1bs3-0005Mj-WC; Tue, 01 Nov 2016 12:25:08 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4086
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c1bs3-0001Ym-6p; Tue, 01 Nov 2016 12:25:07 -0400
Date: Tue, 01 Nov 2016 18:25:23 +0200
Message-Id: <83mvhjnp58.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <518ea058-cddf-412e-93b1-2cee723615f7@default> (message from Drew
 Adams on Tue, 1 Nov 2016 09:15:25 -0700 (PDT))
Subject: Re: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
References: <<919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <878tt4qdjq.fsf@HIDDEN>
 <bd840000-09af-4b41-82bc-042688a66bc4@default>> <<83wpgnns4x.fsf@HIDDEN>>
 <518ea058-cddf-412e-93b1-2cee723615f7@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.5 (-------)
X-Debbugs-Envelope-To: 24842
Cc: 24842 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.5 (-------)

> Date: Tue, 1 Nov 2016 09:15:25 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: npostavs@HIDDEN, 24842 <at> debbugs.gnu.org
> 
> > Duplicate of 12016 and 9445.
> 
> Not really a duplicate, IMO.
> 
> One of the things #24842 asks for is _documentation_ for users writing doc
> strings:
> 
> 1. Tell them about the behavior - preceding quoted symbols with "function" etc.
> 2. Tell them how to override the behavior when inappropriate, effectively
>    "escaping" an occurrence of a word such as "function" that would otherwise
>    cause the symbol that follows it to be handled incorrectly.
> 
> Do you need a separate bug report for just this part (doc)?

No need for a separate report, because I still think these 3 reports
basically talk about the same issue.

I also don't think these issues will be ever fixed unless someone
motivated takes upon themselves to clean up this area, which IMO is
too full of semi-kludges and heuristics that only works 90% of the
time.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.
Merged 9445 12106 24842. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #12016 from all other report(s). Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 1 Nov 2016 16:16:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 12:16:31 2016
Received: from localhost ([127.0.0.1]:39158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1bjj-0003WN-62
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:16:31 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c1bjh-0003W8-L2
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:16:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c1bjY-0002j8-IS
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:16:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.7 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40710)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c1bjY-0002j1-G8; Tue, 01 Nov 2016 12:16:20 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4075
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c1bjX-0000pU-Kg; Tue, 01 Nov 2016 12:16:20 -0400
Date: Tue, 01 Nov 2016 18:16:35 +0200
Message-Id: <83r36vnpjw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <CAM-tV-_+-Ewzh_vMpi65cc5ukD+T+WHNPGk0dooqQCaJAvmTaQ@HIDDEN>
 (message from Noam Postavsky on Tue, 1 Nov 2016 11:34:36 -0400)
Subject: Re: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <878tt4qdjq.fsf@HIDDEN>
 <bd840000-09af-4b41-82bc-042688a66bc4@default> <83wpgnns4x.fsf@HIDDEN>
 <CAM-tV-_+-Ewzh_vMpi65cc5ukD+T+WHNPGk0dooqQCaJAvmTaQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.5 (-------)
X-Debbugs-Envelope-To: 24842
Cc: drew.adams@HIDDEN, 24842 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.5 (-------)

unmerge 12016
severity 12016 normal
severity 12106 minor
merge 12106 9445
thanks

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Tue, 1 Nov 2016 11:34:36 -0400
> Cc: Drew Adams <drew.adams@HIDDEN>, 24842 <at> debbugs.gnu.org
> 
> > Duplicate of 12016 and 9445.
> 
> I don't think #12016 (ff-find-other-file is not considering
> cc-other-file-alist for .cxx files) is related, typo?

Oops.  It's 12106, now fixed.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 1 Nov 2016 16:15:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 12:15:38 2016
Received: from localhost ([127.0.0.1]:39154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1bir-0003Uc-Tf
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:15:38 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:35182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1c1biq-0003UQ-JR
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:15:37 -0400
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 uA1GFTJP015581
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 1 Nov 2016 16:15:30 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userv0021.oracle.com (8.14.4/8.14.4) with ESMTP id uA1GFTmO015861
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 1 Nov 2016 16:15:29 GMT
Received: from abhmp0018.oracle.com (abhmp0018.oracle.com [141.146.116.24])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id uA1GFRGc003222;
 Tue, 1 Nov 2016 16:15:28 GMT
MIME-Version: 1.0
Message-ID: <518ea058-cddf-412e-93b1-2cee723615f7@default>
Date: Tue, 1 Nov 2016 09:15:25 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
References: <<919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <878tt4qdjq.fsf@HIDDEN>
 <bd840000-09af-4b41-82bc-042688a66bc4@default>> <<83wpgnns4x.fsf@HIDDEN>>
In-Reply-To: <<83wpgnns4x.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 24842
Cc: 24842 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

> severity 12016 minor
> severity 24842 minor
> merge 9445 12016 24842
> thanks
>=20
> Duplicate of 12016 and 9445.

Not really a duplicate, IMO.

One of the things #24842 asks for is _documentation_ for users writing doc
strings:

1. Tell them about the behavior - preceding quoted symbols with "function" =
etc.
2. Tell them how to override the behavior when inappropriate, effectively
   "escaping" an occurrence of a word such as "function" that would otherwi=
se
   cause the symbol that follows it to be handled incorrectly.

Do you need a separate bug report for just this part (doc)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 1 Nov 2016 15:34:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 11:34:44 2016
Received: from localhost ([127.0.0.1]:39100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1b5H-0002SC-Vf
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 11:34:44 -0400
Received: from mail-oi0-f51.google.com ([209.85.218.51]:36621)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1c1b5G-0002S0-Jp
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 11:34:42 -0400
Received: by mail-oi0-f51.google.com with SMTP id v84so144589996oie.3
 for <24842 <at> debbugs.gnu.org>; Tue, 01 Nov 2016 08:34:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=elQbSdTggEsaY6VTwYwPaoZAKPYdh+rHmGEWiVhyDQA=;
 b=J92Xy876eGsyl0pANutsEWtDAdE3mUB0sEEySkY3R/NpugC8tPKE0+kV/43qsPMudt
 XcBTtTaBn+r9HOok7vhzJmtlN2OcfRdCNIwMRJ7DELTiRhAPPVdTMtkVU3js7LI+wczV
 XB5G25YTjQTKWkzlQfAsbiKAULg+ZMPc5rsEOlB7zKdomUJdCGhmHigVRriOUmNm3TQv
 r5mtUsy4JQ5H8BDfmJEisZDB7bM8pazPcjPB6r2Xuw5SZD3Tjtba7VFZJc4GWvpKWYLx
 NzQZjpagQT7u8bqarj7htNJzmrr7xMGzsgphVlnirFDXKGf/fSemrbAR0VJmU/Fz+LVv
 iAbA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=elQbSdTggEsaY6VTwYwPaoZAKPYdh+rHmGEWiVhyDQA=;
 b=i0gRsfeczXp5M52I56B6lBIplcRu9IUi/HHNoJO8rCS6VmfL4k8qOO2ua5jCAptzls
 05B2/WFiAdXucBl3e9KRtMGonlD+QWU0bctHRYlQC3Ibl2YMriNzjvuj++pscjr772fK
 kmw8P5Tp0KQkl7STmWDebQG4XMuLp8CSIzr4JyOdY6zDrGirWklVnnbFT7RyopQJDOMK
 xHyAICAwuZVK8PW4qgjq2M3q9Ej5MB+VWdZ2hD3GrbbRkBu2UBX9hUERRqFXjV8FIWv/
 k5ElW4RSf1gdodVRVGJYsTuCxsiVUZt7Ddm+L7aynoizX4Vw+e/mI2eYYKDGIUCo769a
 70gQ==
X-Gm-Message-State: ABUngveAN97IkM/yF+B8qHGGCrGydpPwnMFko8fj2xQ9JXvEcV1MQXDkFUlorfhkGXbAN0XG5qtBgU8uwjN43w==
X-Received: by 10.202.204.66 with SMTP id c63mr10149606oig.4.1478014477079;
 Tue, 01 Nov 2016 08:34:37 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.4.86 with HTTP; Tue, 1 Nov 2016 08:34:36 -0700 (PDT)
In-Reply-To: <83wpgnns4x.fsf@HIDDEN>
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <878tt4qdjq.fsf@HIDDEN>
 <bd840000-09af-4b41-82bc-042688a66bc4@default> <83wpgnns4x.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Tue, 1 Nov 2016 11:34:36 -0400
X-Google-Sender-Auth: wnhBZk0lL3PIdzOdI_A16Hamajg
Message-ID: <CAM-tV-_+-Ewzh_vMpi65cc5ukD+T+WHNPGk0dooqQCaJAvmTaQ@HIDDEN>
Subject: Re: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 24842
Cc: Drew Adams <drew.adams@HIDDEN>, 24842 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Tue, Nov 1, 2016 at 11:20 AM, Eli Zaretskii <eliz@HIDDEN> wrote:
> severity 12016 minor
> severity 24842 minor
> merge 9445 12016 24842
> thanks
>
> Duplicate of 12016 and 9445.

I don't think #12016 (ff-find-other-file is not considering
cc-other-file-alist for .cxx files) is related, typo?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.
Merged 9445 12016 24842. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 1 Nov 2016 15:20:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 11:20:52 2016
Received: from localhost ([127.0.0.1]:39056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1arr-0000RP-Rj
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 11:20:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c1arq-0000RC-S1
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 11:20:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c1ari-000214-IZ
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 11:20:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.4 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39676)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c1arY-0001yp-Im; Tue, 01 Nov 2016 11:20:32 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3953
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c1arX-0000CC-L4; Tue, 01 Nov 2016 11:20:32 -0400
Date: Tue, 01 Nov 2016 17:20:46 +0200
Message-Id: <83wpgnns4x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <bd840000-09af-4b41-82bc-042688a66bc4@default> (message from Drew
 Adams on Mon, 31 Oct 2016 21:35:14 -0700 (PDT))
Subject: Re: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <878tt4qdjq.fsf@HIDDEN>
 <bd840000-09af-4b41-82bc-042688a66bc4@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.5 (-------)
X-Debbugs-Envelope-To: 24842
Cc: 24842 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.5 (-------)

severity 12016 minor
severity 24842 minor
merge 9445 12016 24842
thanks

Duplicate of 12016 and 9445.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 1 Nov 2016 04:35:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 00:35:25 2016
Received: from localhost ([127.0.0.1]:38455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1QnE-0000S1-V6
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 00:35:25 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:19037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1c1QnD-0000Rq-P3
 for 24842 <at> debbugs.gnu.org; Tue, 01 Nov 2016 00:35:24 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 uA14ZH8v001374
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 1 Nov 2016 04:35:17 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserv0022.oracle.com (8.14.4/8.13.8) with ESMTP id uA14ZGBF011697
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 1 Nov 2016 04:35:16 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id uA14ZGsG010880;
 Tue, 1 Nov 2016 04:35:16 GMT
MIME-Version: 1.0
Message-ID: <bd840000-09af-4b41-82bc-042688a66bc4@default>
Date: Mon, 31 Oct 2016 21:35:14 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: npostavs@HIDDEN
Subject: RE: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
 <878tt4qdjq.fsf@HIDDEN>
In-Reply-To: <878tt4qdjq.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 24842
Cc: 24842 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> What about ZERO WIDTH SPACE?
>=20
> `isearchp-movement-unit-alist'\t- units and their movement
> functions\u200B
> `isearchp-on-demand-action-function'\t- on-demand action
> function\u200B
> `isearchp-prompt-for-filter-name'\t- when to ask for filter
> name\u200B

Yes, I thought there was such a character, and it could be
used.  That is a reasonable workaround, I guess, for a
programmer to override inappropriate behavior that can
occur now.

I should have separated #1 and #2 not as alternatives, but
as two approaches that should both, I think, be taken.

Do you think the code as written in help-mode.el is correct?
Do you not think that the cond clauses are just wrong?

Note that only a couple of the cond clauses have the weird
form of putting part of the test for type in the result,
and not in the test part.

The other clauses have, as one might expect, all of the
testing in the condition part, and only the `help-xref-button'
call in the result part.

(That doesn't prove that the same approach should be taken
for all of them.  But it does suggest a possible miscoding.)

I think it would be good to take a close look at this.

And also to document the workaround, letting people know
of a _recommended_ way to override the default behavior.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at 24842 <at> debbugs.gnu.org:


Received: (at 24842) by debbugs.gnu.org; 31 Oct 2016 23:54:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 31 19:54:48 2016
Received: from localhost ([127.0.0.1]:38385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1MPg-0005ML-CC
	for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 19:54:48 -0400
Received: from mail-oi0-f42.google.com ([209.85.218.42]:35806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1c1MPe-0005M6-Go
 for 24842 <at> debbugs.gnu.org; Mon, 31 Oct 2016 19:54:46 -0400
Received: by mail-oi0-f42.google.com with SMTP id i127so257606441oia.2
 for <24842 <at> debbugs.gnu.org>; Mon, 31 Oct 2016 16:54:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=wnQICmb0gnBACWzPc9bJIyLdIVgdR9eeTY6G/cuwPKw=;
 b=QGcbAfDXBWJ+fz88gQAlKmzcvh9gbjcaWYCKrAVW5EbUpWcAHm2SC0v+t07NxGCCK9
 4Z/gwDdJpbljTESqJSbmYGbP8IOGO/3QJ9GdXR1r/T3H8KQTnKMMxCAcbB9swt21psGm
 hDESiB88i5KOO9ZCodO9No4A82i4yk2LyonTmIChrMCDQuDSSiA3b5GQDR3r27YBSI6E
 bIi+11+wfgUi/yl8CbLU7RkWQF0a2wNxQxk1GAhL4lQODvAKgYlChRS5oFgxn3nLmQL/
 h34kpZ852TUr2Bm8DdzW6NDMPpdm0nQKg63+kYxrBNFWUfS4Vhk3hNIjXPZ4zSuyXLh6
 NGUQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=wnQICmb0gnBACWzPc9bJIyLdIVgdR9eeTY6G/cuwPKw=;
 b=Nbj1IZrD5YqxU0sv7mWBjmsEEqc40m5Y/PI/JGp9D9wtRD/bVeZo5eBwc4fXorbxvy
 CSnee8p49LAlSHP9fXpVpF7kqM3E7z/dsO+VwXUoAIY3OYNceRHgA/19tXl2hJiJDIJa
 eDsVkAsSA+qlF0SLPUYUQjfQFDAxQjuURB1YQEakGdtSOwe72dWnJQJYCzGe/M3tDMHO
 VncfQTwCd+1ObPXN8y/0A08buS04v5VloZFZiX11kjmhiSKMIjVAVGz4Apg+AQZ0JBcj
 vmXME1TeKvdXdOK6Q5mAMs5knLPVbpq/uct9HsHtvsOHroNcyKb39tZVk6DNfv9XNMkk
 9LQw==
X-Gm-Message-State: ABUngvecrd2Y3yo+awv0EStzbdKgWtb88PsQQtZRl8kAnAR9b6ZxEibJCvX6s9RQnWfCgA==
X-Received: by 10.107.188.133 with SMTP id m127mr20827354iof.50.1477958079917; 
 Mon, 31 Oct 2016 16:54:39 -0700 (PDT)
Received: from zony ([45.2.7.130])
 by smtp.googlemail.com with ESMTPSA id m31sm11324562ioi.40.2016.10.31.16.54.38
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 31 Oct 2016 16:54:39 -0700 (PDT)
From: npostavs@HIDDEN
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#24842: 24.5; `help-make-xrefs': False link-type determinations
References: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
Date: Mon, 31 Oct 2016 19:55:21 -0400
In-Reply-To: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default> (Drew Adams's
 message of "Mon, 31 Oct 2016 16:00:14 -0700 (PDT)")
Message-ID: <878tt4qdjq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 24842
Cc: 24842 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Drew Adams <drew.adams@HIDDEN> writes:
>    I can insert a NULL char, x00, after "function", and that "fixes"
>    things, but that char then appears in the output, as "^@".  Another
>    Unicode whitespace char could be used instead, etc.  But that still
>    means another character that gets rendered, increasing the line
>    length, etc.

What about ZERO WIDTH SPACE?

`isearchp-movement-unit-alist'\t- units and their movement functions\u200B
`isearchp-on-demand-action-function'\t- on-demand action function\u200B
`isearchp-prompt-for-filter-name'\t- when to ask for filter name\u200B




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Oct 2016 23:00:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 31 19:00:31 2016
Received: from localhost ([127.0.0.1]:38379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1LZ8-0003wT-WC
	for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 19:00:31 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1c1LZ7-0003wG-CC
 for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 19:00:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1c1LZ0-0005hX-Tg
 for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 19:00:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33697)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drew.adams@HIDDEN>)
 id 1c1LZ0-0005hF-QI
 for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 19:00:22 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33412)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1c1LYz-0001N3-EN
 for bug-gnu-emacs@HIDDEN; Mon, 31 Oct 2016 19:00:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1c1LYw-0005f4-Cf
 for bug-gnu-emacs@HIDDEN; Mon, 31 Oct 2016 19:00:21 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:29692)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drew.adams@HIDDEN>)
 id 1c1LYw-0005cl-4D
 for bug-gnu-emacs@HIDDEN; Mon, 31 Oct 2016 19:00:18 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u9VN0G3J007314
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Mon, 31 Oct 2016 23:00:16 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0022.oracle.com (8.14.4/8.13.8) with ESMTP id u9VN0Fkd030478
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Mon, 31 Oct 2016 23:00:16 GMT
Received: from abhmp0011.oracle.com (abhmp0011.oracle.com [141.146.116.17])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id u9VN0Fp9032633
 for <bug-gnu-emacs@HIDDEN>; Mon, 31 Oct 2016 23:00:15 GMT
MIME-Version: 1.0
Message-ID: <919e40a4-f6c4-492d-b50f-b0671e13cb60@default>
Date: Mon, 31 Oct 2016 16:00:14 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.5; `help-make-xrefs': False link-type determinations
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

`help-make-xrefs' tries to guess the type of a symbol that is enclosed
in `...', in help.

This determination needs to to be improved, or else programmers need
some way to inhibit it when it turns out to be inappropriate.

Example: This is part of a doc string I have:

`isearchp-movement-unit-alist'\t- units and their movement functions
`isearchp-on-demand-action-function'\t- on-demand action function
`isearchp-prompt-for-filter-name'\t- when to ask for filter name

Those symbols are all variables (in fact, user options), not functions.
but the word "function" at the end of the second line causes the quoted
symbol that follows it to be considered as a function name.  And then,
because it is not `fboundp', it gets no link.  It should instead get a
variable-name link to its definition.

1. One possible approach is to improve the behavior.  I have not tested
   this generally, but changing the `cond' clauses to include the test
   for type and for documentation as part of the `cond' test, instead of
   being part of the result clause after the test, fixes at least the
   immediate problem of the above example.

   For example, instead of:

   ((match-string 4)   ; `function' &c
    (and (fboundp sym) ; similarly
         (help-xref-button 8 'help-function sym)))

   use this:

   ((and (match-string 4) ; `function' &c
         (fboundp sym))   ; similarly
    (help-xref-button 8 'help-function sym))

   Similarly for the other clauses.

   Possibly this does not DTRT generally, since it lets subsequent
   `cond' clauses get tested if the code cannot determine that the
   symbol is a variable, function, etc.

   But that's the point of those clauses.  If they cannot find that some
   symbol is a variable, etc., then shouldn't the subsequent clauses be
   tried?  (The tests might need to be improved.  Dunno.)

   Again, I have not tested this, so I don't propose an exact code fix.
   I'm reporting the bug.

2. An alternative, if you don't find that #1 is reasonable, could be to
   explicitly provide for (and document) some way for a programmer to
   "escape" a given quoted symbol from a "determiner" such as "function"
   that immediately precedes it.

   The regexp used now looks for whitespace after the "determiner": any
   combination of space, tab, and newline chars.

   I can insert a NULL char, x00, after "function", and that "fixes"
   things, but that char then appears in the output, as "^@".  Another
   Unicode whitespace char could be used instead, etc.  But that still
   means another character that gets rendered, increasing the line
   length, etc.

   If #2 is chosen, the solution should hopefully be more robust and
   cleaner that such a hack.

I hope you will consider fixing this in some way.


In GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=3D/c/usr --host=3Di686-pc-mingw32'




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24842; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 6 Oct 2021 09:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.